GET Dashboard Stats​
GET
/reports/dashboard-stats
Retrieve overall dashboard statistics including active contacts count, campaigns count, emails sent, active automations, onboarding progress, quick links, recent contacts, recent campaigns, active automations list, and system recommendations.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Responses​
Dashboard statistics retrieved successfully.
application/json
JSON
{
"stats": {
"total_subscribers": {
"title": "string",
"count": 0,
"route": {
"name": "string"
}
},
"total_campaigns": {
"title": "string",
"count": 0,
"route": {
"name": "string"
}
},
"email_sent": {
"title": "string",
"count": 0,
"route": {
"name": "string"
}
},
"total_automations": {
"title": "string",
"count": 0,
"route": {
"name": "string"
}
},
"email_pending": {
"title": "string",
"count": 0,
"route": {
"name": "string"
}
}
},
"sales": [
{
}
],
"dashboard_notices": [
"string"
],
"onboarding": {
"total": 0,
"completed": 0,
"steps": [
{
"label": "string",
"completed": true,
"route": {
"name": "string"
}
}
]
},
"quick_links": [
{
"title": "string",
"url": "string",
"icon": "string",
"is_external": true
}
],
"ff_config": {
"is_installed": true,
"create_form_link": "string"
},
"recommendation": {
"provider": "string",
"title": "string",
"description": "string",
"btn_text": "string",
"learn_more": "string",
"base_title": "string"
},
"system_tips": {
"title": "string",
"body": "string"
},
"recent_contacts": [
{
}
],
"active_automations": [
{
}
],
"recent_campaigns": [
{
}
],
"triggers": [
{
}
]
}